
from Init import *

##--------------------------------------------------------------------------
## Module that calculates surface weather elements from HPC QPF model output.
##
##--------------------------------------------------------------------------
class HPCPRCTL05Forecaster(Forecaster):
    def __init__(self):
        Forecaster.__init__(self, "HPCPRCTL05", "HPCPRCTL05")

##--------------------------------------------------------------------------
##  Calculates HPC QPF from the QPF model
##--------------------------------------------------------------------------
    def calcQPF(self, tp_SFC):
        #  Assign the value filtering out everything above 1000 mm
        grid = where(greater(tp_SFC, 1000), 0.0, tp_SFC / 25.4)
        return clip(grid, 0, 5)  # clip at zero and 5 inches

def main():
    HPCPRCTL05Forecaster().run()

if __name__ == "__main__":
    main()
